Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2652313004: Implement color-gamut media query (Closed)

Created:
1 year, 10 months ago by mlamouri (slow - plz ping)
Modified:
1 year, 9 months ago
CC:
ajuma+watch_chromium.org, darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj+watch_chromium.org, dglazkov+blink, dshwang, drott+blinkwatch_chromium.org, krit, feature-media-reviews_chromium.org, f(malita), jbroman, Justin Novosad, kenneth.christiansen, kinuko+watch, pdr+graphicswatchlist_chromium.org, rwlbuis, Stephen Chennney
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement color-gamut media query This is implementing the following specification: https://drafts.csswg.org/mediaqueries-4/#color-gamut Intent to Implement and Ship: https://groups.google.com/a/chromium.org/d/msg/blink-dev/36CcloDrB3E/1wMSNMl9BQAJ BUG=685456 Review-Url: https://codereview.chromium.org/2652313004 Cr-Commit-Position: refs/heads/master@{#446946} Committed: https://chromium.googlesource.com/chromium/src/+/2575c4f8b8a7172537a762d069486d906bed1076

Patch Set 1 #

Total comments: 6

Patch Set 2 : moar tests #

Patch Set 3 : attempt to fix win build & break it all at the same time :) #

Patch Set 4 : add back notreached for dumb compilers #

Total comments: 1

Patch Set 5 : fix windows build #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+236 lines, -87 lines) Patch
A third_party/WebKit/LayoutTests/fast/media/mq-color-gamut-api.html View 1 1 chunk +35 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/media/mq-color-gamut-picture.html View 1 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/media/mq-color-gamut-picture-expected.html View 1 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSValueKeywords.json5 View 1 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaFeatureNames.json5 View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp View 1 2 3 2 chunks +43 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaQueryExp.cpp View 2 chunks +9 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/MediaValues.h View 3 chunks +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaValues.cpp View 2 chunks +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaValuesCached.h View 1 2 3 4 4 chunks +5 lines, -19 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaValuesCached.cpp View 3 4 3 chunks +25 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaValuesDynamic.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/MediaValuesDynamic.cpp View 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/BitmapImageMetrics.h View 2 chunks +0 lines, -17 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/BitmapImageMetrics.cpp View 4 chunks +9 lines, -50 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/ColorSpace.h View 2 chunks +22 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/ColorSpace.cpp View 2 chunks +55 lines, -0 lines 3 comments Download

Messages

Total messages: 51 (27 generated)
mlamouri (slow - plz ping)
hubbe@, PTAL at the use of your algorithm. eae@, PTAL at the implementation ccameron@, FYI ...
1 year, 10 months ago (2017-01-27 07:41:19 UTC) #4
Yoav Weiss
core/css/ LGTM Can you add some more tests for this MQ with `<picture>`? I suspect ...
1 year, 10 months ago (2017-01-27 12:13:39 UTC) #8
Yoav Weiss
On 2017/01/27 12:13:39, Yoav Weiss wrote: > core/css/ LGTM One exception to my LGTM is ...
1 year, 10 months ago (2017-01-27 12:15:36 UTC) #9
mlamouri (slow - plz ping)
For the <picture>, I looked into this but after a quick check (MDN), I couldn't ...
1 year, 10 months ago (2017-01-27 16:54:29 UTC) #10
Yoav Weiss
On 2017/01/27 16:54:29, mlamouri (slow) wrote: > For the <picture>, I looked into this but ...
1 year, 10 months ago (2017-01-27 16:58:14 UTC) #11
hubbe
LGTM (with one suggestion) https://codereview.chromium.org/2652313004/diff/1/third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp File third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp (right): https://codereview.chromium.org/2652313004/diff/1/third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp#newcode789 third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp:789: case ColorSpaceGamut::End: On 2017/01/27 16:54:29, ...
1 year, 10 months ago (2017-01-27 18:19:38 UTC) #12
mlamouri (slow - plz ping)
https://codereview.chromium.org/2652313004/diff/1/third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp File third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp (right): https://codereview.chromium.org/2652313004/diff/1/third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp#newcode789 third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp:789: case ColorSpaceGamut::End: On 2017/01/27 at 18:19:37, hubbe wrote: > ...
1 year, 10 months ago (2017-01-27 18:54:17 UTC) #13
eae
LGTM for Source/platform
1 year, 10 months ago (2017-01-27 20:19:36 UTC) #14
mlamouri (slow - plz ping)
All comments applied. I will land this when the intent will be approved. ccameron@, it ...
1 year, 10 months ago (2017-01-28 01:38:00 UTC) #17
ccameron
lgtm as well
1 year, 10 months ago (2017-01-28 01:46:32 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2652313004/20001
1 year, 10 months ago (2017-01-28 17:20:35 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: win_clang on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_clang/builds/160705)
1 year, 10 months ago (2017-01-28 19:19:29 UTC) #25
pdknsk
I think the gamut-comparison is implemented somewhat poorly. (Sorry.) As per spec. > An output ...
1 year, 10 months ago (2017-01-29 15:44:54 UTC) #34
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2652313004/diff/60001/third_party/WebKit/Source/core/css/MediaValuesCached.h File third_party/WebKit/Source/core/css/MediaValuesCached.h (right): https://codereview.chromium.org/2652313004/diff/60001/third_party/WebKit/Source/core/css/MediaValuesCached.h#newcode17 third_party/WebKit/Source/core/css/MediaValuesCached.h:17: struct MediaValuesCachedData final { also put CORE_EXPORT on the ...
1 year, 10 months ago (2017-01-29 17:25:33 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2652313004/80001
1 year, 10 months ago (2017-01-29 17:33:01 UTC) #39
mlamouri (slow - plz ping)
pdknsk@, thanks for the comment. We are aware of this and hubbe@ believes this approach ...
1 year, 10 months ago (2017-01-29 17:34:12 UTC) #40
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/2575c4f8b8a7172537a762d069486d906bed1076
1 year, 10 months ago (2017-01-29 21:08:43 UTC) #43
Noel Gordon
https://codereview.chromium.org/2652313004/diff/80001/third_party/WebKit/Source/platform/graphics/ColorSpace.cpp File third_party/WebKit/Source/platform/graphics/ColorSpace.cpp (right): https://codereview.chromium.org/2652313004/diff/80001/third_party/WebKit/Source/platform/graphics/ColorSpace.cpp#newcode130 third_party/WebKit/Source/platform/graphics/ColorSpace.cpp:130: ColorSpaceGamut getColorSpaceGamut(SkColorSpace* colorSpace) { The color profile media spec ...
1 year, 10 months ago (2017-01-31 02:29:57 UTC) #45
hubbe
https://codereview.chromium.org/2652313004/diff/80001/third_party/WebKit/Source/platform/graphics/ColorSpace.cpp File third_party/WebKit/Source/platform/graphics/ColorSpace.cpp (right): https://codereview.chromium.org/2652313004/diff/80001/third_party/WebKit/Source/platform/graphics/ColorSpace.cpp#newcode151 third_party/WebKit/Source/platform/graphics/ColorSpace.cpp:151: float score = out[0][0] * out[1][1] * out[2][2]; On ...
1 year, 10 months ago (2017-01-31 04:06:20 UTC) #46
Noel Gordon
On 2017/01/31 04:06:20, hubbe wrote: > https://codereview.chromium.org/2652313004/diff/80001/third_party/WebKit/Source/platform/graphics/ColorSpace.cpp > File third_party/WebKit/Source/platform/graphics/ColorSpace.cpp (right): > > https://codereview.chromium.org/2652313004/diff/80001/third_party/WebKit/Source/platform/graphics/ColorSpace.cpp#newcode151 > ...
1 year, 10 months ago (2017-02-01 13:44:29 UTC) #47
hubbe
On 2017/02/01 13:44:29, noel gordon wrote: > On 2017/01/31 04:06:20, hubbe wrote: > > > ...
1 year, 10 months ago (2017-02-01 18:19:38 UTC) #48
mlamouri (slow - plz ping)
FWIW, I think we should have this discussion on a bug or on a mailing ...
1 year, 10 months ago (2017-02-01 19:27:12 UTC) #49
Noel Gordon
On 2017/02/01 18:19:38, hubbe wrote: > We don't know what Safari does, so it would ...
1 year, 9 months ago (2017-02-20 11:41:30 UTC) #50
Noel Gordon
1 year, 9 months ago (2017-02-20 11:42:38 UTC) #51
Message was sent while issue was closed.
On 2017/02/01 19:27:12, mlamouri wrote:
> FWIW, I think we should have this discussion on a bug or on a mailing list.
Not
> sure if a closed CL is the best medium :)

Concur.  www-style@ would be perhaps the proper place, but I have seen no
message about this compat concern.  mlamouri@ if you need to contact the spec
editor, I can provide details.  Let me know how you'd like to proceed, perhaps
in your bug.

Powered by Google App Engine
This is Rietveld 408576698